#pragma once

#include "sdkexport.h"
#include "Pose.h"
#include <string>

namespace mpl {

namespace sdk {
class TypeConversions;
}

class MPL_API Tooldata {
public:
    Tooldata() = delete;
    ~Tooldata();
    Tooldata(const Tooldata&) = default;
    Tooldata& operator=(const Tooldata&) = default;
    Tooldata(Tooldata&&) = default;
    Tooldata& operator=(Tooldata&&) = default;

    unsigned getId() const;
    std::string getName() const;

    bool isRobhold() const;
    Pose getTFrame() const;
    Pose getWorldPose() const;

    std::string toString() const;

private:
    friend class sdk::TypeConversions;

    explicit Tooldata(const void* impl);

    const void* pimpl;
};

}
